What does "version is (not) more than" do in the agent requirements?

The build configuration agent requirements have "version is more than", "version is not more than", "version is less than", and "version is not less than" conditions. What do these conditions mean and how are they used? The other conditions seem pretty straight forward, but I could not find any documentation on these conditions.

2 comments
Comment actions Permalink

Thank you for your feedback.
I've just added the information you referred to: http://www.jetbrains.net/confluence/display/TCD4/7.Agent+Requirements. These conditions are used to compare different versions of software.
Sorry for the inconvenience.

0
Comment actions Permalink

What does it actually check? Where does TeamCity look to get the version number? How is the comparison performed? How this comparison is actually used?

Thank you for your quick feedback. I'm just still not clear on what this agent requirement is for.

0

Please sign in to leave a comment.